using System.Text.Json.Serialization;

namespace FitConnect.Services.Models;

public class CreateDestinationDto {
    [JsonPropertyName("contactInformation")]
    public ContactInformationDto ContactInformation;


    [JsonPropertyName("services")]
    public List<DestinationServiceDto> Services;


    [JsonPropertyName("callback")]
    public CreateCallbackDto Callback;


    [JsonPropertyName("encryptionKid")]
    public string EncryptionKid;


    [JsonPropertyName("encryptionPublicKey")]
    public string EncryptionPublicKey;


    [JsonPropertyName("signingPublicKey")]
    public string SigningPublicKey;


    [JsonPropertyName("metadataVersions")]
    public List<string> metadataVersions;


    [JsonPropertyName("replyChannels")]
    public DestinationReplyChannelsDto ReplyChannels;
}
