using System.Text.Json.Serialization;

namespace FitConnect.Services.Models;

internal class SubmissionDto{
    
    [JsonPropertyName("destinationId")]
    public string DestinationId;

    
    [JsonPropertyName("submissionId")]
    public string SubmissionId;

    
    [JsonPropertyName("caseId")]
    public string CaseId;

    
    [JsonPropertyName("attachments")]
    public List<string> Attachments;


        
    [JsonPropertyName("serviceType")]
    public ServiceTypeDto ServiceType;


    [JsonPropertyName("callback")]
    public CallbackDto Callback;

    
    [JsonPropertyName("encryptedMetadata")]
    public string EncryptedMetadata;

    
    [JsonPropertyName("encryptedData")]
    public string EncryptedData;

}