using System.Text.Json.Serialization;

namespace FitConnect.Services.Models;

public class DestinationReplyChannelsDto {
    public EmailDto? EMail;


    public DeMailDto? DeMail;


    public FinkDto? Fink;


    public ElsterDto? Elster;


    public DestinationReplyChannelsDto(
        EmailDto eMail,
        DeMailDto deMail,
        FinkDto fink,
        ElsterDto elster) {
        this.EMail = EMail;
        this.DeMail = DeMail;
        this.Fink = Fink;
        this.Elster = Elster;
    }


    public bool IsEmpty() {
        return EMail == null && DeMail == null && Fink == null && Elster == null;
    }
}