using System.Text.Json.Serialization;

namespace FitConnect.Services.Models;

public class PrivateDestinationDto {
    [JsonPropertyName("destinationId")]
    public string DestinationId;


    [JsonPropertyName("status")]
    public string Status;


    [JsonPropertyName("services")]
    public List<DestinationServiceDto> Services;


    [JsonPropertyName("encryptionKid")]
    public string EncryptionKid;


    [JsonPropertyName("contactInformation")]
    public ContactInformationDto ContactInformation;


    [JsonPropertyName("callback")]
    public CallbackDto Callback;


    [JsonPropertyName("metadataVersions")]
    public List<string> MetadataVersions;


    [JsonPropertyName("replyChannels")]
    public DestinationReplyChannelsDto ReplyChannels;
}